CMSIS-Driver: Ethernet MAC Controls

| CMSIS-Driver Version 2.8.0 Peripheral Interface for Middleware and Application Code

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros
Ethernet MAC Controls
Ethernet MAC Control Codes

Configure and control the Ethernet MAC interface. More...

## Macros

#define | ARM_ETH_MAC_CONFIGURE (0x01UL)
| Configure MAC; arg = configuration. More...
#define | ARM_ETH_MAC_CONTROL_TX (0x02UL)
| Transmitter; arg: 0=disabled (default), 1=enabled. More...
#define | ARM_ETH_MAC_CONTROL_RX (0x03UL)
| Receiver; arg: 0=disabled (default), 1=enabled. More...
#define | ARM_ETH_MAC_FLUSH (0x04UL)
| Flush buffer; arg = ARM_ETH_MAC_FLUSH_... More...
#define | ARM_ETH_MAC_SLEEP (0x05UL)
| Sleep mode; arg: 1=enter and wait for Magic packet, 0=exit. More...
#define | ARM_ETH_MAC_VLAN_FILTER (0x06UL)
| VLAN Filter for received frames; arg15..0: VLAN Tag; arg16: optional ARM_ETH_MAC_VLAN_FILTER_ID_ONLY; 0=disabled (default) More...

## Description

Configure and control the Ethernet MAC interface.

## Macro Definition Documentation

#define ARM_ETH_MAC_CONFIGURE (0x01UL)

Configure MAC; arg = configuration.

See Also
  ARM_ETH_MAC_Control

#define ARM_ETH_MAC_CONTROL_TX (0x02UL)

Transmitter; arg: 0=disabled (default), 1=enabled.

See Also
  ARM_ETH_MAC_Control

#define ARM_ETH_MAC_CONTROL_RX (0x03UL)

Receiver; arg: 0=disabled (default), 1=enabled.

See Also
  ARM_ETH_MAC_Control

#define ARM_ETH_MAC_FLUSH (0x04UL)

Flush buffer; arg = ARM_ETH_MAC_FLUSH_...

See Also
  ARM_ETH_MAC_Control

#define ARM_ETH_MAC_SLEEP (0x05UL)

Sleep mode; arg: 1=enter and wait for Magic packet, 0=exit.

See Also
  ARM_ETH_MAC_Control

#define ARM_ETH_MAC_VLAN_FILTER (0x06UL)

VLAN Filter for received frames; arg15..0: VLAN Tag; arg16: optional ARM_ETH_MAC_VLAN_FILTER_ID_ONLY; 0=disabled (default)

See Also
  ARM_ETH_MAC_Control